package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundInfoCompanyInfo;
import com.tanpu.fund.entity.generator.FundInfoCompanyInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundInfoCompanyInfoMapper {
    long countByExample(FundInfoCompanyInfoExample example);

    int deleteByExample(FundInfoCompanyInfoExample example);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundInfoCompanyInfo record);

    int insertOrUpdate(FundInfoCompanyInfo record);

    int insertOrUpdateSelective(FundInfoCompanyInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundInfoCompanyInfo record);

    List<FundInfoCompanyInfo> selectByExample(FundInfoCompanyInfoExample example);

    int updateByExampleSelective(@Param("record") FundInfoCompanyInfo record, @Param("example") FundInfoCompanyInfoExample example);

    int updateByExample(@Param("record") FundInfoCompanyInfo record, @Param("example") FundInfoCompanyInfoExample example);

    int batchInsert(@Param("list") List<FundInfoCompanyInfo> list);
}